import tornado.ioloop
import tornado.web
from dog import *

class MainHandler(tornado.web.RequestHandler):
    def get(self):
        items = ["Item 1", "Item 2", "Item 3"]
        d = Dog(age=4)
        self.render("index.html", title="Dan is awesome!!!!", items=items, dog=d)
#        self.render("index.html", title="My title", items=items)

        
class AboutHandler(tornado.web.RequestHandler):
    def get(self):
        self.render("about.html", title="About Title")

        
application = tornado.web.Application([
    (r"/", MainHandler),
    (r"/about", AboutHandler)
])

if __name__ == "__main__":
    application.listen(8000)
    tornado.ioloop.IOLoop.current().start()